Summary:	Linux Lexmark 1000/1100 Printer Driver
Name:		lm1100
Version:	1.0.2a
Release:	%mkrel 24
Group:		System/Printing
License:	GPL
URL:		https://www.openprinting.org/download/printing/lm1100/
Source:		https://www.openprinting.org/download/printing/lm1100/lm1100.%{version}.tar.gz
Patch0:		lm1100-1.0.2a-gcc32.patch
Patch1:		lm1100.1.0.2a-fix-compile-gcc-3.4.patch
Patch2:		lexmark2ppm.pl.patch
Patch3:		lm1100.1.0.2a-LDFLAGS.diff

%description
Linux Lexmark 1000/1020/1100 Printer Driver. This filter converts a ppm file
into the  Lexmark 1000/1020/1100 internal format.

%prep

%setup -q -n %{name}.%{version}
%patch -P 0 -p1
%patch -P 1 -p0
%patch -P 2 -p0
%patch -P 3 -p0

%build
%serverbuild

# Correct "friend" declarations for gcc 3.1
perl -p -i -e 's/friend Lexmark/friend class Lexmark/' *.h
# Remove extra qualifications '<class>::<member>' on class members, to make
# code compiling with gcc 4.1.1.
perl -p -i -e 's/\b[^\s:]+:://' *.h

%make_build CC="g++ $CXXFLAGS" LDFLAGS="%{ldflags}"

%install
install -d %{buildroot}%{_bindir}

# Executables (filter for usage with CUPS and printer emulator script for
# development and debugging (also debugging this RPM w/o Lexmark 1100).
install -m 0755 lm1100 %{buildroot}%{_bindir}
install -m 0755 lexmark2ppm.pl %{buildroot}%{_bindir}
install -m 0755 byteutil.pl %{buildroot}%{_bindir}

# Executables (filter for usage with CUPS and printer emulator script for
# development and debugging (also debugging this RPM w/o Lexmark 1100).
# LPD support
install -d %{buildroot}%{_libdir}/rhs/rhs-printfilters
[ -e ps-to-lm1100.fpi ] || mv ps-to-printer.fpi ps-to-lm1100.fpi # file name conflict
install -m 0755 ps-to-lm1100.fpi %{buildroot}%{_libdir}/rhs/rhs-printfilters
ln -s %{_bindir}/lm1100 %{buildroot}%{_libdir}/rhs/rhs-printfilters

%files
%defattr(0644,root,root,0755)
%doc LICENSE README RELEASE.* cmy.txt
%defattr(0755,root,root,0755)
%{_bindir}/lm1100
%{_bindir}/lexmark2ppm.pl
%{_bindir}/byteutil.pl
%{_libdir}/rhs/rhs-printfilters/lm1100
%{_libdir}/rhs/rhs-printfilters/ps-to-lm1100.fpi




%changelog
* Sun Dec 22 2024 pterjan <pterjan> 1.0.2a-24.mga10
+ Revision: 2127822
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 1.0.2a-23.mga9
+ Revision: 1792082
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.2a-22.mga8
+ Revision: 1514855
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2a-21.mga7
+ Revision: 1299330
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.2a-20.mga6
+ Revision: 937963
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2a-19.mga5
+ Revision: 750939
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.0.2a-18.mga5
+ Revision: 725105
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2a-17.mga5
+ Revision: 681970
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2a-16.mga4
+ Revision: 507513
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2a-15.mga3
+ Revision: 358914
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 1.0.2a-14.mga1
+ Revision: 57898
- clean spec file
- imported package lm1100

